# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 0.8.1
### Added
- More variants for `ElevarmConfirmAlertDialog`.
- `info` variant to Elevarm Badge widgets.

### Fixed
- Text overflow in `ElevarmCheckbox`.
- Make `text` not required in `ElevarmAlert` component.

## 0.8.0
### Added
- `ElevarmViewDetailCard` component class.
- `ElevarmIconRipple`'s `variant` property.

### Changed
- Change Elevarm buttons' theme overloading to prioritize `buttonTheme` parameter than global theme inheritance.

### Deprecated
- Color properties in `ElevarmIconRipple`.

## 0.7.7
### Changed
- Bump elevarm_icons version to `^0.5.0`

## 0.7.6
### Changed
- Bump elevarm_icons version to `^0.4.0`

## 0.7.5
### Fixed
- Background color `ElevarmFileUploadCard` to white

## 0.7.4
### Added
- `controller` parameter in `ElevarmDropdownInputField` component widget.

## 0.7.3
### Changed
- Refactor `ElevarmStackedHorizontalBarChartCard` to `ElevarmStackedHorizontalBarChart`.
- Refactor `ElevarmLineChartCard` to `ElevarmLineChart`.

### Deprecated
- `ElevarmStackedHorizontalBarChartCard` widget.
- `ElevarmLineChartCard` widget.

## 0.7.2
### Changed
- Revert `ElevarmDropdownInputField` changes.

## 0.7.1
## Added
- `iconAssetName` property to `ElevarmConfirmAlertDialog` component widget.

## 0.7.0
### Added
- `setInitialValue` method on `didUpdateWidget` in `ElevarmDropdownInputField` widget.
- View mode in `ElevarmFileUploadCard` widget.
- `ElevarmBottomNavigationBar` component class widget.
- `ElevarmButtonTheme` inherited widget class and `ElevarmButtonThemeData` theme data class.
- `ElevarmCheckboxTheme` inherited widget class and `ElevarmCheckboxThemeData` theme data class.
- Add `ElevarmInputFileColor` text color property.
- Black & White variants to `ElevarmLogo` widget.
- 4XL size of `ElevarmBoxShadow` class.
- `ElevarmBlur` theme class.
- `ElevarmTag` component widget.

### Changed
- Change input hint text error and text helper from 14px (Sm) to 12px (Xs).
- Change ElevarmTertiaryNeutralButton color from neutral400 to neutral500.
- Modify `ElevarmPrimaryButton` to use `ElevarmPrimaryButtonThemeData`.
- Modify `ElevarmSecondaryButton` to use `ElevarmSecondaryButtonThemeData`.
- Modify `ElevarmOutlineButton` to use `ElevarmOutlineButtonThemeData`.
- Modify `ElevarmLinkButton` to use `ElevarmLinkButtonThemeData`.
- Modify `ElevarmTertiaryButton` to use `ElevarmTertiaryButtonThemeData`.
- Modify `ElevarmCheckbox` to use `ElevarmCheckboxTheme`.
- Modify `ElevarmCheckboxListTile` to use `ElevarmCheckboxTheme`.
- Revamp `ElevarmFileUploadCard`.
- Change input hint text from 16px (Md) to 12px (Xs).
- Remove remainder(60)
- `ElevarmAlert` to newest design.

## Deprecated
- `isWhite` property in `ElevarmLogo` widget.

### Fixed
- `ElevarmCheckboxListTile` widget name.
- `ElevarmBoxShadow`'s switched X & Y offset.
- `ElevarmFilUploadCard` onTap and onTapAction are not working.

### Removed
- `timeago` library.

## 0.6.0
### Added
- `ElevarmCheckBoxListTile` component class widget.
- `ElevarmImagePreviewDialog` component class widget.
- `ElevarmImagePreviewScreen` screen class widget.
- `ElevarmIconRipple` component class widget.
- `ElevarmDektopPaginationFooter` component class widget.


## 0.5.1
### Changed
- Font asset from remote (`google_fonts`) to local to avoid font glitching.

### Fixed
- Dart 3 compatibility by upgrading `google_fonts` to `4.0.4`
- Font licenses path.

## 0.5.0
## Added
- `ElevarmDraggableBottomSheet` bottom sheet class widget.
- `ElevarmRadioListTile` component class widget.
- Callback `ElevarmSelectDateRangeBottomSheetOption` in `showElevarmSelectDateRangeBottomSheet` and `ElevarmSelectDateRangeBottomSheet` widget.
- `LibraryTextStyles` class for library-scoped text styling.

### Fixed
- Stretched image on `ElevarmAvatar` if the provided image is not square.

## 0.4.0
### Added
- `showElevarmSelectDateRangeBottomSheet` for displaying select date range bottom sheet.
- `ElevarmInputFileCard` component widget.

### Changed
- file contents in `analysis_options.yaml` to standardized file across Elevarm frontend projects

## 0.3.2
### Added
- `dart_pre_commit` package for code formatting and linting.

### Changed
- `ElevarmBottomSheet`'s `title` and `onPressedClose` properties to be not required.
- UI icons to `elevarm_icons`.

### Removed
- `toolbarOptions` property in `ElevarmTextInputField` and `ElevarmTextDropdownInputField` widget.

### Fixed
- `ElevarmDatePickerDialog`'s reversed positive and negative button labels.

## 0.3.1
### Added
- Callback `onTextChanged` in `ElevarmAutocompleteInputField` when `ElevarmTextInputField`'s value changed.

## 0.3.0
### Added
- `ElevarmStepper` component widget class.
- `ElevarmConfirmAlertDialog` component widget class.

## 0.2.1
### Added
- `neutral25` color (same with the deprecated `grey25`).

### Changed
- Callbacks in `ElevarmSnackBar` to include `AnimationController?`.

### Fixed
- Close icon path in `ElevarmSnackBarContent` widget.
- Typo in `ElevarmColors` deprecated message.

## 0.2.0
### Added
- `showElevarmSnackBar` and `showElevarmSnackBarDesktop` methods for displaying SnackBars.
- `ElevarmInputFieldLabel` for labeling inputField

### Changed
- `flutter_svg` version to 2.0.3 to avoid conflict with `flutter_gen`.

## 0.1.0
### Added
- `ElevarmPrimaryCard` component widget class.
- `ElevarmOutlinedCard` component widget class.
- `ElevarmNeutralCard` component widget class.
- `ElevarmElevatedCard` component widget class.

### Changed
- Refactor `positiveButtonLabel`, `negativeButtonLabel`, and `weekNames` from `ElevarmDatePickerDialog` component widget.

### Fixed
-  Set `counterText` to empty string in properties `ElevarmTextInputField` component widget.

## 0.0.1+20
### Added
- `ElevarmAlert` component widget class.
- `ElevarmDatePickerDialog` capability to select year.
- `ElevarmFileUploadCard` component widget class.
- `ElevarmBottomSheet` component widget class.

### Changed
- Move screenshots to Firebase Cloud Storage.

### Fixed
- `ElevarmTertiaryNeutralButton` background color to transparent.

## 0.0.1+19
### Fixed
- Increase `ElevarmTextInputField` & `ElevarmTextDropdownInputField` content padding again.

## 0.0.1+18
### Fixed
- Increase `ElevarmTextInputField` & `ElevarmTextDropdownInputField` content padding.

## 0.0.1+17
### Added
- Added key identity for `ElevarmLinkNeutralButton`, `ElevarmLinkPrimaryButton`, `ElevarmOutlineButton`, `ElevarmPrimaryButton`,`ElevarmTertiaryNeutralButton`
- `ElevarmSecondaryButton` component widget class.
- `ElevarmTertiaryPrimaryButton` component widget class.
- `prefixText`, `prefixAddOnText`, and `prefixUseMastercard` properties in `ElevarmTextInputField` component widget.
- `dropdownShowTrailingIcon` and `dropdownEnabled` properties in `ElevarmTextDropdownInputField` component widget.
- `ElevarmSwitch` component widget class.

### Fixed
- Icon size of button component with 2XL size.

## 0.0.1+16
### Fixed
- Downgrade `intl` package version to `^0.17.0` to avoid conflict in AgriMaps & AgriPOS

## 0.0.1+15
### Added
- `showElevarmDatePickerDialog` for displaying date picker/date range picker dialog.
- `prefixIconAssetName` property in `ElevarmTextInputField`.

## 0.0.1+14
### Added
- `ElevarmDrawer` make show profile optional
- `ElevarmDesktopDrawer` make show profile optional
- `customData` property in `ElevarmStackedHorizontalBarChartData`.
- `splineType` property in `ElevarmLineChartCard`.

### Changed
- `legendValueBuilder` type to `String Function(ElevarmStackedHorizontalBarChartData data)?`.
- Legend text in `ElevarmLineChartCard` to a custom one.

### Fixed
- Overflowed legend text in `ElevarmStackedHorizontalBarChartCard` widget class.

## 0.0.1+13
### Added
- `ElevarmOtpField` advanced component widget class.
- `ElevarmLinkNeutralButton` component widget class.
- `ElevarmLinkPrimaryButton` component widget class.
- `ElevarmTextDropdownInputField` component widget class.
- `isRequired` property to `ElevarmTextInputField`, `ElevarmAutocompleteInputField`, and `ElevarmDropdownInputField`.
- `ElevarmAutocompleteInputField` component widget class (only Default variant).
- `ElevarmDropdownInputField` component widget class (only Default variant).

## 0.0.1+12
### Added
- `ElevarmLogo` component widget class.
- `ElevarmTextInputField` component widget class (only Default variant).

### Changed
- Elevarm logo asset from PNG to SVG.

### Removed
- Unused properties in `ElevarmThemeData.light()`.

## 0.0.1+11
### Added
- `ElevarmDonutChartCard` component widget class.
- `Elevarm404DesktopScreen` screen widget class.
- `ElevarmUnderConstructionDesktopScreen` screen widget class.
- `ElevarmErrorDesktopScreen` screen widget class.
- `ElevarmLineChartCard` component widget class.
- `ElevarmStackedHorizontalBarChartCard` component widget class.
- `ElevarmStackedVerticalBarChartCard` component widget class.
- `ElevarmPasswordStrength` component widget class.

### Changed
- Move `ElevarmLinearProgressIndicator` default properties to constructor.

### Fixed
- `ElevarmBaseBadge` BoxFit to scale down as to not stretching the container.
- Set `maximumLabelWidth` to zero for `ElevarmLineChartCard`'s Y axis.

## 0.0.1+10
### Added
- `ElevarmTabBar` component widget class.
- `ElevarmMobilePaginationFooter` advanced component widget class.
- `ElevarmRadioButton` component widget class.
- `StringUtils` utility class.
  
### Changed
- `ElevarmLinearProgressIndicator` component widget class to its own folder.
  
### Fixed
- Button's text alignment to center.
- `ElevarmDesktopDrawer`'s expand button position.

## 0.0.1+9
### Added
- `ElevarmBoxShadow` theme class.
- `ElevarmTertiaryNeutralButton` component widget class.
- `ElevarmCheckbox` component widget class.
- `ElevarmDivider` widget component.

### Changed
- `ElevarmRoundedCorners` to `ElevarmBorderRadius`.
- `ElevarmElevatedButton` to `ElevarmPrimaryButton`.
- `ElevarmOutlinedButton` to `ElevarmOutlineButton`.

## 0.0.1+8
### Added
- `ElevarmFilledBadge` component widget.
- `ElevarmOutlinedBadge` component widget.

### Removed
- `ElevarmBadge` component widget in favor of `ElevarmFilledBadge` and `ElevarmOutlinedBadge`.

## 0.0.1+7
### Added
- `initialFontSize`, `emptyIconSize`, `onlineIndicatorSize`, and `verifiedTickSize` properties in `ElevarmAvatar` component widget.

## 0.0.1+6
### Fixed
- Missing `showHeaderLogo` in `ElevarmDrawer` widget.

## 0.0.1+5
### Added
- Add `ElevarmIcon` widget component.
- Add `ElevarmAvatar` widget component.
- Add `ElevarmDrawer` widget component.
- Add `ElevarmDesktopDrawer` widget component.

## 0.0.1+4
### Added
- Add `ElevarmBadge` widget component.
- Add `ElevarmLinearProgressIndicator` widget component.
- Add `ElevarmRoundedCorners` class.
- Add `ElevarmThemeData` class.
- More colors

## 0.0.1+3
### Changed
- Add `allowRuntimeFetching` property in `ElevarmFonts.init` method.

## 0.0.1+2
### Added
- `ElevarmFonts` class.
- `ElevarmFontSizes` class.
- `ElevarmFontWeights` class.

### Fixed
- `primary300` color to `#8995DC`.
  
## 0.0.1+1
### Added
- `ElevarmColorsExt` extension class.

## 0.0.1
### Added
- `ElevarmColors` class.
