import 'package:elevarm_ui/src/styles/styles.dart';
import 'package:flutter/material.dart';

/// Elevarm UI's text input field label.
///
/// This component was made as label for [inputField].
class ElevarmInputFieldLabel extends StatelessWidget {
  /// The label above the input field.
  final String label;

  /// Whether the field is required or not.
  final bool isRequired;

  const ElevarmInputFieldLabel({
    Key? key,
    required this.label,
    required this.isRequired,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
            Text(
              label,
              style: LibraryTextStyles.interSmMediumNeutral,
            ),
            isRequired
                ? Text(
                    '*',
                    style: LibraryTextStyles.interSmMediumDanger,
                  )
                : Container(),
          ],
        ),
        const SizedBox(height: 6.0),
      ],
    );
  }
}
